Subject: bug#40279: 26.3; Error: you did not specify -i=mi on GDB's command line!

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 27 Oct 2020 21:11:48 +0100

William Xu <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> And as far as I can tell, gdb runs just fine without it, even on
>> GNU/Linux?
>
> Without that, the gdb commands and program I/O are mixed together in the
> same buffer, so "*input/output of...*" window in gdb-many-windows will
> be empty.

Ah, I see.

> It is mostly useful if there is a lot of I/O from the program. It makes
> it easier to inspect only the program I/O in that separated buffer.
>
> So my change will kill the I/O separation. But then most of gdb mode
> features will work.

Does the `M-x gud-gdb' command work OK in the Docker use case?  That one
doesn't have a separate socket for the I/O.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no